using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	/// <summary>
	/// 能耗统计
	/// </summary>
	public interface IEnergyConsumptionStatisticsManager
	{
		void StatisticHostModalEnergy();

		IList<string> LoadRoomNumbers();

        DataTable LoadModals(string roomNumber, DeviceType? deviceType);
	}
}
